"use strict";
exports.__esModule = true;
exports.LessonModel = exports.CourseModel = void 0;
var Sequelize = require('@sequelize/core');
var initCourseModel_1 = require("./initCourseModel");
var initLessonModel_1 = require("./initLessonModel");
var dbUrl = 'postgres://postgres:postgres@localhost:5432/complete-typescript-course';
var sequelize = new Sequelize(dbUrl);
exports.CourseModel = (0, initCourseModel_1.initCourseModel)(sequelize);
exports.LessonModel = (0, initLessonModel_1.initLessonModel)(sequelize);
exports.CourseModel.hasMany(exports.LessonModel, { foreignKey: 'courseId' });
exports.LessonModel.belongsTo(exports.CourseModel, { foreignKey: 'courseId' });
